
QGIS Application - Bug report #20242

missing last segments of DXF exported polylines

2018-10-28 02:11 AM - Kepes Ádám

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: DXF export

Affected QGIS version:3.2.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28063

Description

while 3d exporting LineString25D polyline dxf or shp the last line segments... simply disappears. I think users would need that too :)

i have done it with contour lines, i don't know if it still happens while end and last point elevation is different.

Associated revisions

Revision 56ec4732 - 2019-02-22 12:52 AM - Jürgen Fischer

dxf export: fix output of closed 3d polylines (fixes #20242)

Revision db823175 - 2019-02-22 12:53 AM - Jürgen Fischer

dxf export: fix output of closed 3d polylines (fixes #20242)

(cherry picked from commit 56ec47328b9e24951b51c00144221c95f88c6c83)

History

#1 - 2018-10-28 09:38 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Easy fix? changed from Yes to No

please try 3.4

#2 - 2018-10-28 10:40 PM - Kepes Ádám

- File fault.jpg added

Giovanni Manghi wrote:

please try 3.4

see the picture attached...

2.18 had problems with dxf height exports, but since then it just got worse
#3 - 2018-10-28 11:40 PM - Nyall Dawson

Can you share a self contained project & simple data file we can use as a test case here?

#4 - 2018-10-29 12:26 AM - Kepes Ádám

- File 3Dpolyline_problem.zip added

Nyall Dawson wrote:

Can you share a self contained project & simple data file we can use as a test case here?

Of course Nyall! Just call if i can help in anything!

#5 - 2018-10-29 09:14 PM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2019-01-29 02:12 PM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#7 - 2019-02-22 12:52 AM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|56ec47328b9e24951b51c00144221c95f88c6c83.

Files

failure.jpg 5.21 KB 2018-10-28 Kepes Ádám

fault.jpg 163 KB 2018-10-28 Kepes Ádám

3Dpolyline_problem.zip 520 KB 2018-10-28 Kepes Ádám
